/// <reference types="react" />
export declare type EmailJSEmailConfig = {
    type: 'emailJS';
    serviceId: string;
    templateId: string;
    userId: string;
    toEmail: string;
    subscriptionUrl?: never;
};
export declare type KlaviyoEmailConfig = {
    type: 'klaviyo';
    subscriptionUrl: string;
    serviceId?: never;
    templateId?: never;
    userId?: never;
    toEmail?: never;
};
export declare type EmailConfig = EmailJSEmailConfig | KlaviyoEmailConfig;
export declare type EmailFormProps = Omit<React.FormHTMLAttributes<HTMLFormElement>, 'onSubmit'> & {
    onBeforeSubmit?: (event: React.FormEvent<HTMLFormElement>) => void;
    onSubmitSuccess?: (event: React.FormEvent<HTMLFormElement>) => void;
    onSubmitFail?: (error: Error) => void;
    validateForm?: (event: React.FormEvent<HTMLFormElement>) => boolean;
    emailConfig: EmailConfig;
};
export declare type HookArgs = Pick<EmailFormProps, 'emailConfig' | 'onSubmitFail' | 'onSubmitSuccess' | 'onBeforeSubmit' | 'validateForm'>;
