import React from 'react';
import { ImageParams, LoadingValues, FetchPriorityValues } from './helpers';
export declare type ResponsiveImageProps = ImageParams & Omit<React.ImgHTMLAttributes<HTMLImageElement>, 'loading'> & {
    loading?: LoadingValues;
    /**
     * @deprecated priority is no longer used. Instead, set `loading` to `preload`.
     */
    priority?: boolean;
    fetchPriority?: FetchPriorityValues;
};
declare const ResponsiveImage: React.ForwardRefExoticComponent<ImageParams & Omit<React.ImgHTMLAttributes<HTMLImageElement>, "loading"> & {
    loading?: "preload" | "lazy" | "eager" | "lazy-polyfill" | undefined;
    /**
     * @deprecated priority is no longer used. Instead, set `loading` to `preload`.
     */
    priority?: boolean | undefined;
    fetchPriority?: "high" | "low" | "auto" | undefined;
} & React.RefAttributes<HTMLImageElement>>;
export { ResponsiveImage };
