import { FetchPriorityValues, LoadingValues } from '../helpers';
export declare const formatValues: readonly ["jpeg", "png", "webp", "auto"];
export declare type FormatValues = typeof formatValues[number];
export declare const qualityValues: readonly ["lightest", "lighter", "normal", "better", "best", "smart"];
export declare type QualityValues = typeof qualityValues[number];
export declare function isQualityValue(x: unknown): x is QualityValues;
export interface ImageLoaderTransformationProps {
    width?: string;
    height?: string;
    crop?: string;
    format?: FormatValues;
    quality?: QualityValues;
    loading?: LoadingValues;
    fetchPriority?: FetchPriorityValues;
}
export declare type ImageLoaderProps = ImageLoaderTransformationProps & {
    src: string;
};
