declare type SearchState = 'PRISTINE' | 'IDLE' | 'ERRORED' | 'LOADING' | 'FETCHING_MORE';
declare type Hit = {
    readonly objectID: string;
};
declare type UseSearch = (config: {
    hitsPerPage: number;
}) => {
    status: SearchState;
    statuses: Record<SearchState, SearchState>;
    errorMessage: null | Error;
    hits: Hit[];
    pagination: {
        page: number;
        totalPages: number;
        totalHits: number;
    };
    search: (query: string, type?: string) => void;
    fetchMore: () => void;
};
export declare const useSearch: UseSearch;
export {};
